Bug 168981 - RHEL3-U6-re0921.0 VNC installation produces library error "/usr/lib/libpango-1.0.so.0: cannot read file data: Invalid argument"
RHEL3-U6-re0921.0 VNC installation produces library error "/usr/lib/libpango-...
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: David Howells
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-09-21 16:09 EDT by James Laska
Modified: 2013-09-02 02:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 14:53:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
vncviewer screenshot (68.67 KB, image/png)
2005-09-21 16:09 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2005-09-21 16:09:24 EDT
# TREE RHEL3-U6-re0921.0
# ARCH ppc
# CASE iSeries VNC installation

Prior to connecting my vncviewer to the the installer vncserver, I see the
following error message.  When I connect to the vncserver, I see nothing but a
black screen (see attachment).

Running anaconda, the Red Hat Enterprise Linux system installer - please wait...
Probing for video card:   Unable to probe
Probing for monitor type:   Unknown monitor
Probing for mouse type:   No - mouse
No video hardware found, assuming headless
Starting VNC...

WARNING!!! VNC server running with NO PASSWORD!
You can use the vncpassword=<password> boot option
if you would like to secure the server.

The VNC server now running.
Please connect to isqa4.test.redhat.com:1 to begin the install...
//usr/bin/mini-wm: error while loading shared libraries:
/usr/lib/libpango-1.0.so.0: cannot read file data: Invalid argument
Comment 1 James Laska 2005-09-21 16:09:25 EDT
Created attachment 119097 [details]
vncviewer screenshot
Comment 2 James Laska 2005-09-21 16:44:51 EDT
Additional data points

- Does not happen on RHEL-3/U5
- Does happen on RHEL3-U6-re0916.0 (RC0)
- Does not happen on power5 hardware (only iSeries)
Comment 3 Jeremy Katz 2005-09-21 17:17:59 EDT
Bet if you change your iseries config a little to have more or less cpu, it'll
go away.  

This is a transient error that has popped up from time to time that we've yet to
actually get a handle on because it's really not anything anaconda has any
control over.  The dynamic loader is getting -EINVAL from the kernel when we
load a shared library, which then causes things to break.
Comment 4 Brock Organ 2005-09-21 17:42:13 EDT
this error has occurred throughout the RHEL3 U6 cycle for s390/s390x, (including test trees RHEL3-
U6-re0921.0 & RHEL3-U6-re0916.0), but is never deterministic ...

this error can happen for up to ~30% of vnc gui installs for s390/s390x ...
Comment 5 Ben Levenson 2005-09-21 17:43:42 EDT
Looks like we already have several similar issues in bugzilla:
bug 125214
bug 126698
bug 137914
bug 150720
bug 150773
Comment 6 James Laska 2005-09-22 07:51:04 EDT
katzj ... I think you are on to something

I originally hit this problem 4 out of 4 attempts on the QA4 lpar.  Here's what
I've found since then after changing some tunables for the lpar configuration:

 - does *not* reproduce on QA2 (lpar on same system but w/ .1 more cpu)
 - does *not* reproduce on QA4 (if I in increase num_cpu or cpu_units)

After making the following changes on QA4: 
  1) increasing the cpu units from .5 to .6 
  2) increasing number of virtual cpus from 1 to 2
I am not able to hit this bug.
Comment 7 Jeremy Katz 2005-09-22 13:47:13 EDT
I don't see how this isn't a kernel problem.
Comment 8 RHEL Product and Program Management 2007-10-19 14:53:56 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.